package pbfmsg

import (
	"leafstalk/router/protobuf"
)

func InitMsg(PbfRouter *protobuf.Processor) {
	PbfRouter.Register(&ServerLogin{})
	PbfRouter.Register(&ResponseServerLogin{})
	PbfRouter.Register(&RouteMsg{})
	PbfRouter.Register(&ResponseRouteMsg{})
	PbfRouter.Register(&NewClientToken{})
	PbfRouter.Register(&ChangeState{})
	PbfRouter.Register(&ResponseChangeState{})
	PbfRouter.Register(&QueryPlayer{})
	PbfRouter.Register(&ResponseQueryPlayer{})
	PbfRouter.Register(&Heart{})
	PbfRouter.Register(&ResponseHeart{})

	// OnRpHeartClusterAgent 服务器心跳
}
